--[Requires]--
local snake = require("objects/snake")
local food  = require("objects/food")

--[Global Variables]--
gfx = love.graphics
getFPS = love.timer.getFPS

function love.load()
  snake:loadParent()
  food:loadParent()
end
--
function love.update(dt)
  fps = getFPS()
  snake:updateParent(dt)
  food:updateParent(dt)
end
--
function love.draw()
  snake:drawParent()
  food:drawParent()
  gfx.setColor(255, 255, 255)
  gfx.print("Score: " .. snake.totalScore, 5, 20)
  gfx.print("FPS: " .. fps, 5, 5)
end