--[Requires]--
local snake = require("objects/snake")
local collision = require("engine/collision")

food = {}

function food:load()
  food.x = 64
  food.y = 64
  food.w = 16
  food.h = 16
end
--
function food:update(dt)
  if collision:check(snake.x, snake.y, snake.w, snake.h, food.x, food.y, food.w, food.h) then
    snake.length = snake.length + 1
    snake.score = snake.score + 25
    snake.totalScore = snake.totalScore + 25
    food.x = math.random(0,gfx.getWidth())
    food.y = math.random(0,gfx.getHeight())
  end
end
--
function food:draw()
  gfx.setColor(255, 255, 255)
  gfx.rectangle("fill", food.x, food.y, food.w, food.h)
end
--[Parent Functions]--
function food:loadParent()
  food:load()
end
--
function food:updateParent(dt)
  food:update(dt)
end
--
function food:drawParent()
  food:draw()
end
--
return food